name: Go Bump

on: 
  workflow_dispatch:
    inputs:
      NAME:
        description: "A random input name for the workflow"
        type: string
      SOME_VALUE:
        description: "Some other input to pass"
        type: string

  # push:
  #   branches: [ "main" ]
  # pull_request:
  #   branches: [ "main" ]

jobs:
  bump:
    runs-on: ubuntu-latest
    steps:
    - uses: actions/checkout@v3
      with:
        fetch-depth: 0
        fetch-tags: true
    
    - run: echo stable=${{ inputs.STABLE }} pre=${{ inputs.BETA }}

    - name: Set up Go
      uses: actions/setup-go@v3
      with:
        go-version: 1.21.1

    - run: go install github.com/psanetra/git-semver/cli@master

    - run: cli next --stable=false

    - run: echo "🍏 This job's status is ${{ job.status }}."
